at.chipkarte.client.bkf.soap

## Class BKFQuittung

- Object
- - at.chipkarte.client.bkf.soap.BKFQuittung

-     public class BKFQuittung
      extends Object

  Empfangsbestätigung der create-Funktionen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BKFQuittung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnnahmezeitpunkt()` Datum der Annahme des Dokumentations-/Befundblattes am Server (Datum der Speicherung des Befundblattes am Server).
    `String` | `getDokumentationstyp()` Dokumentationstyp.
    `Boolean` | `getFolgedokumentation()` Kennzeichen ob eine Folge-/Korrekturdokumentation übermittelt wurde.
    `String` | `getLeistungsdatum()` Datum der Leistung.
    `byte[]` | `getSignatur()` Signatur der Empfangsbestätigung.
    `String` | `getSvNummer()` Sozialversicherungsnummer der Patientin.
    `String` | `getVersicherungstraeger()` Code des Versicherungsträgers der Patientin.
    `String` | `getVpNummer()` Vertragspartnernummer.
    `void` | `setAnnahmezeitpunkt(String annahmezeitpunkt)`
    `void` | `setDokumentationstyp(String dokumentationstyp)`
    `void` | `setFolgedokumentation(Boolean folgedokumentation)`
    `void` | `setLeistungsdatum(String leistungsdatum)`
    `void` | `setSignatur(byte[] signatur)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setVersicherungstraeger(String versicherungstraeger)`
    `void` | `setVpNummer(String vpNummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BKFQuittung

          public BKFQuittung()

  - ### Method Detail

    - #### getDokumentationstyp

          public String getDokumentationstyp()

      Dokumentationstyp.
      Angabe: Muss.
      Mögliche Werte siehe `DokumentationTypConstant`.
      Returns:
        Dokumentationstyp

    - #### setDokumentationstyp

          public void setDokumentationstyp(String dokumentationstyp)

    - #### getVpNummer

          public String getVpNummer()

      Vertragspartnernummer.
      Angabe: Muss.
      Format: 6-stellig
      Returns:
        VpNummer

    - #### setVpNummer

          public void setVpNummer(String vpNummer)

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer der Patientin.
      Angabe: Muss.
      Format: 10-stellig
      Returns:
        SvNummer

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getAnnahmezeitpunkt

          public String getAnnahmezeitpunkt()

      Datum der Annahme des Dokumentations-/Befundblattes am Server (Datum der Speicherung des Befundblattes am Server).
      Angabe: Muss.
      Format: TT.MM.JJJJ hh:mm:ss
      Returns:
        Annahmezeitpunkt

    - #### setAnnahmezeitpunkt

          public void setAnnahmezeitpunkt(String annahmezeitpunkt)

    - #### getLeistungsdatum

          public String getLeistungsdatum()

      Datum der Leistung.
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Returns:
        Leistungsdatum

    - #### setLeistungsdatum

          public void setLeistungsdatum(String leistungsdatum)

    - #### getVersicherungstraeger

          public String getVersicherungstraeger()

      Code des Versicherungsträgers der Patientin.
      Angabe: Bedingt. Ist nur versorgt bei Dokumentationen mit Bindung an eine Konsultation mit einem Anspruch.
      Format: 2-stellig
      Returns:
        Versicherungstraeger

    - #### setVersicherungstraeger

          public void setVersicherungstraeger(String versicherungstraeger)

    - #### getFolgedokumentation

          public Boolean getFolgedokumentation()

      Kennzeichen ob eine Folge-/Korrekturdokumentation übermittelt wurde.
      Angabe: Muss.
      Nur relevant für Screeningdokumentationen und kurative Mammographiedokumentationen.
      Returns:
        Folgedokumentation

    - #### setFolgedokumentation

          public void setFolgedokumentation(Boolean folgedokumentation)

    - #### getSignatur

          public byte[] getSignatur()

      Signatur der Empfangsbestätigung.
      Angabe: Muss. Format: maximal 2000-stellig
      Returns:
        Signatur

    - #### setSignatur

          public void setSignatur(byte[] signatur)